<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Universal Library</title>
    <style>
/* General Styles */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

/* Header */

.header {
  background: linear-gradient(to right, #FFF 5%, #007bff);
  
  
  padding: 5% 20%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#logo {
    position: absolute;
    top: 5px;
    left: 10px;
    object-fit: contain;
    width: 9%;
    height: auto;
}

.login {

  position: absolute;
  top: 20px; 
  right: 20px;

}


.text-box-login {
    border-radius: 25px;

    
}
.login-button, .chg-password {
    background-color: #90d5ff;
    border-radius: 25px;
    color: black;
    padding: 1px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px; 

}

/* Search Bar */

.container {
    
    clear:both;
    text-align: center;
    float: center; 
    margin-top: 20px; 
}

.search-bar {
  clear: both;

  position: relative;
  display: inline-block;
  border-color: black;
  border-radius: 25px;
  background-color: #007bff;
  padding: 5px 20px;
  width: 55%;
  height: 10%;
}

.search-bar input[type="text"] {
  background-color: #FFF;
  border-radius: 25px;

  border: none;
  color: black;
  font-size: 16px;
  padding-right: 20px;
  padding-left: 50px;
  padding-top: 10px;
  padding-bottom: 10px;
  width: 85%;
  height: 50%;
}

.search-bar .search-button {
  position: absolute;
  top: 5px;
  right: 10px;
  background-color: transparent;
  border: none;
  cursor: pointer;
  object-fit: contain; 
    width: 80%;
    height: 80%;
    padding: -5px 15px; /* Remove padding to prevent extra space */
}

        /* Responsive Design */
        @media (max-width: 768px) {
            .header {
                flex-direction: column;
                align-items: center;
            }

            .logo, .login {
                margin-bottom: 20px;
            }
        }
    </style>
</head>
<body>
    <header class="header">
        <div class="logo">
            <img src="/UL/assets/logo.png" alt="Universal Library Logo">
        </div>
<div class="login">
    <?php if (isset($_SESSION['username'])) : ?>
        <p>Welcome <?php echo $_SESSION['username']; ?></p>
        <button type="button" onclick="location.href='secret_page.php'">Logout</button>
        <?php session_destroy(); ?>
    <?php else : ?>
        <form action="handle_form_w14.php" method="post">
            <p>
                <input type="text" name="username" size="20" maxlength="40" placeholder="Username" class="text-box-login">
            </p>
            <p>
                <input type="password" name="password" size="20" maxlength="40" placeholder="Password" class="text-box-login">
            </p>
            <p>
                <input type="submit" name="submit" value="Login" class="login-button">
            </p>
            <p>
                <input type="submit" name="submit" value="Forgot Password?" class="chg-password">
            </p>
        </form>
    <?php endif; ?>
</div>
    </header>

    <form action="handler_keyword.php" method="post">
        <div class="search-bar">
            <input type="text" name="keyword" placeholder="Search The Universe...">
            <button type="submit">
                <img src="/UL/assets/searchicon.png" alt="Search">
            </button>
        </div>
    </form>

    <img src="/UL/assets/city.png" alt="City Background" id="city">
</body>
</html>